R_GET_FD_FILETYPE(3)

EXPERIMENTAL_FUNC
r_get_fd_filetype - Get filetype for a descriptor.

SYNOPSIS
#include <karma_r.h>

flag r_get_fd_filetype

(int fd, unsigned int *type)

DESCRIPTION
Get filetype for a descriptor.

fd  The file descriptor.

type
    The filetype is written here.

RETURN VALUE
TRUE on success, else FALSE and an error message is displayed.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/